[arch-commits] Commit in libxtst/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 14 22:11:41 EDT 2009


    Date: Tuesday, April 14, 2009 @ 22:11:41
  Author: eric
Revision: 35662

Merged revisions 356,35653 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libxtst/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r35653 | eric | 2009-04-14 21:39:23 -0400 (Tue, 14 Apr 2009) | 2 lines
  
  upgpkg: libxtst 1.0.3-2
      Added license
........

Modified:
  libxtst/repos/extra-i686/	(properties)
  libxtst/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: libxtst/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libxtst/trunk:1
   + /libxtst/trunk:1-35661

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-15 02:10:21 UTC (rev 35661)
+++ extra-i686/PKGBUILD	2009-04-15 02:11:41 UTC (rev 35662)
@@ -3,21 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=libxtst
 pkgver=1.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 Testing -- Resource extension library"
 arch=(i686 x86_64)
-options=('!libtool')
 url="http://xorg.freedesktop.org/"
+license=('custom')
 depends=('libxext' 'recordproto')
 makedepends=('pkgconfig')
+options=('!libtool')
 source=(${url}/releases/individual/lib/libXtst-${pkgver}.tar.bz2)
+md5sums=('090c1ad04e34982eada5cf3b1a0792fd')
 
 build() {
-  cd ${startdir}/src/libXtst-${pkgver}
+  cd ${srcdir}/libXtst-${pkgver}
   ./configure --prefix=/usr \
               --build=${CHOST} --host=${CHOST}
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-
-md5sums=('090c1ad04e34982eada5cf3b1a0792fd')



More information about the arch-commits mailing list